%global momorel 5

Name:		gnome-mplayer
Summary:	GNOME Frontend for MPlayer
Version:	0.9.9.2
Release:	%{momorel}m%{?dist}
License:	GPLv2+
Group:		Applications/Multimedia 
URL:		http://code.google.com/p/gnome-mplayer/
Source0:	http://gnome-mplayer.googlecode.com/files/%{name}-%{version}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	GConf2-devel
BuildRequires:	alsa-lib-devel >= 0.7.0
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
BuildRequires:	libgpod-devel >= 0.7.0
BuildRequires:	nautilus-devel
BuildRequires:	pkgconfig
Requires:	mplayer
Requires(pre):          GConf2
Requires(post):         GConf2
Requires(preun):        GConf2

%description
GNOME MPlayer is a simple GUI for MPlayer. It is based heavily on the mplayerplug-in source code 
and can basically be seen as a standalone version of that. GNOME MPlayer is currently changing alot. 
However, it is good enough that I can use it as my default viewer for media on my personal machine.

%prep
%__rm -rf --preserve-root %{buildroot}
%setup -q

%build
%configure --enable-nautilus \
    --with-gio \
    --with-gconf \
    --with-alsa \
    --with-libnotify \
    --with-libgpod \
    "LIBS=-lm"

%make

%install
%__rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

## delete duplicated documents
%__rm -rf %{buildroot}%{_docdir}/%{name}

%clean
%__rm -rf --preserve-root %{buildroot}

%post
update-desktop-database %{_datadir}/applications 2> /dev/null
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-mplayer.schemas > /dev/null

%files
%defattr(-, root, root)
%doc COPYING ChangeLog DOCS/ INSTALL README
%config %{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_libdir}/nautilus/extensions-2.0/libgnome-mplayer-properties-page.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome-control-center/default-apps/*.xml
%{_datadir}/locale/*/LC_MESSAGES/*
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/gnome-mplayer.svg
%{_mandir}/man1/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.9.2-5m)
- full rebuild for mo7 release

* Wed Aug 11 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.9.9.2-4m)
- add Requires context (pre,post,preun)

* Wed Aug 11 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.9.9.2-3m)
- add Requires: GConf2

* Tue Jul 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.9.2-2m)
- build fix

* Tue Jul  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.9.2-1m)
- update to 0.9.9.2

* Fri Jan 29 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.8-1m)
- update to 0.9.8

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.6-3m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.6-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Aug 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.6-1m)
- update to 0.9.6

* Thu May 28 2009 Masaru Sanuki <sanuki@momonga-linux.org>
- (0.9.5-2m)
- define __libtoolize (build fix)

* Wed Mar 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.5-1m)
- version 0.9.5
- build with libgpod-0.7.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.2-2m)
- rebuild against rpm-4.6

* Sun Dec 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.2-1m)
- update to 0.9.2

* Sun May 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.0-1m)
- initial build for Momonga Linux 5
